Package org.apache.sling.feature.cpconverter.vltpkg

## Interface PackagesEventsEmitter

All Known Implementing Classes:
  `DefaultFeaturesManager`, `DefaultPackagesEventsEmitter`

    public interface PackagesEventsEmitter

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `end()` Package converter ends
`void` `endPackage​(@NotNull org.apache.jackrabbit.vault.packaging.PackageId originalPackageId, @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage convertedPackage)` Marks the end of the conversion of the package with `originalPackageId`.
`void` `endSubPackage​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.packaging.PackageId originalPackageId, @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage convertedPackage)` Marks the end of the conversion of the sub package with `originalPackageId`.
`void` `start()` Package converter starts
`void` `startPackage​(@NotNull org.apache.jackrabbit.vault.packaging.VaultPackage originalPackage)` Marks the start of the given original package.
`void` `startSubPackage​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage originalPackage)` Marks the start of the given sub package.

### Method Detail

#### start

    void start()

Package converter starts

#### end

    void end()

Package converter ends

#### startPackage

    void startPackage​(@NotNull
                      @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage originalPackage)

Marks the start of the given original package.

Parameters:
  `originalPackage` - the package to be converted.

#### endPackage

    void endPackage​(@NotNull
                    @NotNull org.apache.jackrabbit.vault.packaging.PackageId originalPackageId,
                    @NotNull
                    @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage convertedPackage)

Marks the end of the conversion of the package with `originalPackageId`.

Parameters:
  `originalPackageId` - The id of the original package as passed to `startPackage(VaultPackage)`.
  `convertedPackage` - the converted package.

#### startSubPackage

    void startSubPackage​(@NotNull
                         @NotNull String path,
                         @NotNull
                         @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage originalPackage)

Marks the start of the given sub package.

Parameters:
  `path` - The path of the sub package in the original parent package
  `originalPackage` - the sub package to be converted.

#### endSubPackage

    void endSubPackage​(@NotNull
                       @NotNull String path,
                       @NotNull
                       @NotNull org.apache.jackrabbit.vault.packaging.PackageId originalPackageId,
                       @NotNull
                       @NotNull org.apache.jackrabbit.vault.packaging.VaultPackage convertedPackage)

Marks the end of the conversion of the sub package with `originalPackageId`.

Parameters:
  `path` - The path of the original sub package in the parent package
  `originalPackageId` - The id of the original sub package as passed to `startSubPackage(String, VaultPackage)`.
  `convertedPackage` - the converted package